# Gimme POC
[![Build Status](https://travis-ci.org/m8ss/gimme_poc.svg?branch=master)](https://travis-ci.org/m8ss/gimme_poc) [![Code Climate](https://codeclimate.com/github/m8ss/gimme_poc/badges/gpa.svg)](https://codeclimate.com/github/m8ss/gimme_poc) [![Gem Version](https://badge.fury.io/rb/gimme_poc.svg)](https://badge.fury.io/rb/gimme_poc)

Gimme POC (Point of Contact) simplifies the process of extracting the common 'contact us' information from a website.

## Usage

Gimme POC simply looks for a contact page and extracts social media contact information, if present.  Due to CAN-SPAM Act of 2003, emails are not harvested.  Instead Gimme POC will return True or False if an email or contact form is available.

## Installation

```
$ gem install gimme_poc

```

## Set Up

```ruby
require 'gimme_poc' 

```

## How it works

```ruby

Gimme.poc 'http://example.com'

# => returns this:
#
# {
#   :contactpage=>"http://example.com/contact/", 
#   :phone_present?=>"true", 
#   :contact_form?=>"true",
#   :facebook=>"http://www.facebook.com/example",
#   :twitter=>"http://twitter.com/@example",
#   :googleplus=>"http://plus.google.com/+example",
#   :linkedin=>"http://www.linkedin.com/in/example"
#  }
#
#


```

## Searching more than one site

 You also have the ability to pass multiple urls in the form of array.  For example, you could run the command below and get contact information from each site all at once.

```ruby

Gimme.poc(['http://example.com', 'http://foo.com', 'http://bar.com'])

```

